package org.siqisource.agave.test;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface DataSet {

	String file() default "";

	String[] tables() default {};

	String setupOperation() default "CLEAN_INSERT";

	String teardownOperation() default "NONE";

	String dataSource() default "dataSource";
}
